<?php
require_once '../../config.php';
require_once ROOT . 'app/db.php';

$demirbasAdi = trim($_POST['demirbas_adi']);
$tutar       = (float)$_POST['tutar'];
$kategoriAdi = trim($_POST['kategori_adi']);

// Kategori kontrol / ekle
$kategori = db::execOne("SELECT ID FROM td_demirbas_kategori WHERE kategori_adi=?", [$kategoriAdi]);
if (!$kategori) {
    $kategoriID = db::insert('td_demirbas_kategori', ['kategori_adi' => $kategoriAdi]);
    // $kategoriID = db::lastInsertId();
} else {
    $kategoriID = $kategori->ID;
}

// Yeni ürün ekle
db::insert('td_demirbas', [
    'demirbas_adi' => $demirbasAdi,
    'tutar' => $tutar,
    'kategoriID' => $kategoriID
]);

header("Location: index.php");
exit;
